#ifndef __FL_PAGED_INDEXED_BROWSER_H
#define __FL_PAGED_INDEXED_BROWSER_H

#include <FL/Fl.H>
#include <flpda/Fl_Indexed_Browser.H>
#include <flpda/Fl_Page_UpDown_Button.H>

class Fl_Paged_Indexed_Browser : public Fl_Indexed_Browser {
	private:
		Fl_Page_UpDown_Button* page_button;

	public:
		Fl_Paged_Indexed_Browser(int x, int y, int w, int h, Fl_Page_UpDown_Button* b = 0);

		void draw();
		void page_updown_button(Fl_Page_UpDown_Button* b);
};

#endif
